@echo off
rem ADDED by WebSphere Message Brokers Toolkit

rem set default value for MQSICOMMAND_PATH
set MQSICOMMAND_PATH=$PACKAGE_DIR

rem if MQSI_VERSION_V is not defined, assume version 6
if "%MQSI_VERSION_V%" == ""  (
  set MQSI_VERSION_V=6
) 

rem if MQSI_VERSION_R is not defined, assume release 1
if "%MQSI_VERSION_R%" == ""  (
  set MQSI_VERSION_R=1
) 

if %MQSI_VERSION_V% == 6 (
   if %MQSI_VERSION_R% == 0 (
      rem use the 6.0 toolkit commands
      set MQSICOMMAND_PATH="C:\Program Files\IBM\MessageBrokersToolkit\6.0\eclipse;C:\Program Files\IBM\MessageBrokersToolkit\6.0"
   )
   if %MQSI_VERSION_R% == 1 (
      rem use the 6.1 toolkit commands
      set MQSICOMMAND_PATH="$PACKAGE_DIR"
   )
)

set PATH=%MQSICOMMAND_PATH%;%PATH%;
